> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usebouncer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish

> This endpoint will trigger internal job which will finish processing and return credits for remaining not verified emails.

Results can be downloaded once status endpoint will return status "completed".



## OpenAPI

````yaml post /v1.1/email/verify/batch/{batchId}/finish
openapi: 3.0.0
info:
  title: Bouncer
  description: >-
    Bouncer Email Verification API lets you validate email address and verify
    its deliverability, in the way you want.


    It’s easy to integrate, powerful, robust, secure, ultrafast and affordable.


    Let Bouncer handle verification and validation of your email addresses, with
    Real-Time (synchronous), Batch (asynchronous), and a hybrid of those two
    Batch Synchronous end-points.


    If at any time you would need extra support from our side, you can reach us
    by email at :
    [support@usebouncer.com](https://mailto:support@usebouncer.com)
  version: 1.0.0
servers:
  - url: https://api.usebouncer.com
security:
  - apikeyAuth: []
tags:
  - name: domain
    description: >-
      You can use Bouncer’s Domain Verification API to check domain information.


      It can be usefull to verify is domain has valid MX records and if it
      behaves as a "catch all" domain.
paths:
  /v1.1/email/verify/batch/{batchId}/finish:
    post:
      tags:
        - batch
      summary: Finish
      description: >-
        This endpoint will trigger internal job which will finish processing and
        return credits for remaining not verified emails.


        Results can be downloaded once status endpoint will return status
        "completed".
      operationId: finishBatch
      parameters:
        - name: batchId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content: {}
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                status: '400'
                error: Bad Request
                message: batch has to be running to finish
        '202':
          description: Accepted
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example: {}
components:
  securitySchemes:
    apikeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````